# ARX Transfer

**HTTP Api:**

```http
wallet/createtransaction
Description: Create a transfer transaction, if to address is not existed, then create the account on the blockchain

curl -X POST http://172.104.51.182:16667/wallet/createtransaction  
-d '
{"to_address": "41a9c46373aEB4749E3CE45acA242b027A46f486f9", 
"owner_address": "414203485a535a4072C9FBFaADDfe2A010AD0BcdB0", 
"amount": 30000000}'

Parameter to_address: To address, default hexString
Parameter owner_address: Owner address, default hexString
Parameter amount: Transfer amount
Parameter permission_id: Optional, for multi-signature use
Return: Transaction object
```

**Aixcweb Example：**

```javascript
const privateKey = "..."; 
var fromAddress = "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz"; //address _from
var toAddress = "ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7"; //address _to
var amount = 10000000; //amount
//Creates an unsigned ARX transfer transaction
tradeobj = await aixcWeb.transactionBuilder.sendAixc(
      toAddress,
      amount,
      fromAddress
);
const signedtxn = await aixcWeb.aixc.sign(
      tradeobj,
      privateKey
);
const receipt = await aixcWeb.aixc.sendRawTransaction(
      signedtxn
);
console.log('- Output:', receipt, '\n');
```

Please follow the instructions below to complete this transaction:

1. Tip: "Please confirm and enter your permission id, if input y or Y means default 0, other non-numeric characters will cancel transaction.", Enter "y" or "Y" to confirm the transaction;
2. Tip: "lease choose your key for sign. ...... Please choose between 1 and 2", select the serial number of the sign account;
3. Tip: "Please input your password.", Enter your local password;
4. Tip: "Send 100 ARC10 to ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7 successful !!", which indicates that the ARX transfer was successful.

\
\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/aixc-and-arc-token/arc/arx-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
